Std UnterverknüpfungErstellen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std LinkMakeRelative and the translation is 76% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Std LinkMakeRelative.svg Std UnterverknüpfungErstellen

Menüeintrag
Kein
Arbeitsbereich
Alle
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Std Part, Std Gruppe, Std VerknüpfungErstellen

Beschreibung

Std LinkMakeRelative.svg Std UnterverknüpfungErstellen erstellt ein App-Link-Objekt (App::Link class), so wie Std LinkMake.svg Std VerknüpfungErstellen, wird aber in erster Linie auf ausgewählte Unterelemente angewendet und setzt die Daten-EigenschaftLink Transform auf true.

Anwendung

Mit Auswahl:

  1. Ein Unterelement in der 3D-Ansicht auswählen, d.h. ein Knoten, eine Kante oder eine Fläche auswählen oder irgendeine Kombination aus diesen. Die Unterelemente müssen zu einem einzigen Objekt gehören.
  2. Die Schaltfläche Std LinkMakeRelative.svg UnterverknüpfungErstellen drücken. Das erstellte Objekt besitzt das gleiche Symbol, wie das Originalobjekt, das aber mit zwei Pfeilen überlagert ist, die darauf hinweisen, dass es sich um eine Unterverknüpfung handelt.

Ohne Auswahl:

  • Wenn kein Objekt ausgewählt wurde, macht dieser Befehl nichts.
  • Wenn ein Objekt nur in der Baumansicht ausgewählt wurde, aber kein Unterelement in der 3D-Ansicht ausgewählt wurde, macht dieser Befehl auch nichts.

Std Link tree sublink example.png Std Link sublink example.png

Originaler Körper und drei Verknüpfungen, die von seinen Unterelementen erstellt wurden, inklusive Kanten und Flächen.

Eigenschaften

This command creates a new App Link; its properties are described in Std LinkMake.svg Std LinkMake.

In particular, DatenLink Transform is set to true, so DatenPlacement becomes hidden, and instead DatenLink Placement controls the position of the Link with respect to the position of DatenLinked Object.

Skripten

See Std LinkMake for the general information.

An App Link is created with the addObject() method of the document. To define a relative link, its setLink method is used to pick the source object, and one or more of its subelements. Then the LinkTransform attribute is set to True.

import FreeCAD as App

doc = App.newDocument()
body = App.ActiveDocument.addObject("Part::Box", "Box")

obj = App.ActiveDocument.addObject("App::Link", "Link")
obj.setLink(body, '', ['Edge1', 'Edge6', 'Edge7', 'Edge10', 'Face2', 'Face3'])
obj.LinkTransform = True
obj.LinkPlacement.Base = App.Vector(20, 20, 0)
App.ActiveDocument.recompute()